Skip to main content
POST
Provision to a wallet

Authorizations

Authorization
string
header
required

Secret API key, e.g. sk_live_... or sk_test_....

Headers

Idempotency-Key
string

Unique key that makes the request safe to retry. Keys expire after 24 hours.

Maximum string length: 255

Path Parameters

card_id
string
required

Body

application/json
wallet
enum<string>
required
Available options:
apple_pay,
google_pay
device_id
string

Device identifier supplied by the wallet SDK.

device_name
string

Response

Created.

id
string
required
read-only

Unique identifier, prefixed with wlt_.

Example:

"wlt_01JZ9A2K4M"

object
enum<string>
required
read-only

Object type.

Available options:
wallet_token
card_id
string
required
Example:

"card_01JZ8N2K4M"

wallet
enum<string>
required
Available options:
apple_pay,
google_pay
status
enum<string>
required
Available options:
pending,
active,
suspended,
removed
device_name
string | null
Example:

"Alex's iPhone"

created_at
string<date-time>
read-only

Time provisioning was requested.